##################################
# OS Build Options
##################################
# Red Hat Linux 9 (Shrike)
%define build_shrike		0
# RHEL 3 (Taroon)
%define build_taroon		1
# Fedora Core (Cambridge)
%define build_fedora		0


##################################
# Package Info
##################################
Summary:		OpenOffice.org GNOME integration bits
Name:		openoffice.org-style-gnome
Version:		1.1.0

# SET RPM RELEASE # HERE!!!
%define ooo_rpm_release 16.9

%if %{build_taroon}
Release:		%{ooo_rpm_release}.EL
%endif

%if %{build_shrike}
Release:		%{ooo_rpm_release}.rh9
%endif

%if %{build_fedora}
Release:		%{ooo_rpm_release}
%endif

URL:			http://www.openoffice.org/
License:		LGPL
Group:		Applications/Productivity
BuildRoot:	%{_tmppath}/%{name}-%{version}-root

########################
Requires:	gtk2
Requires: openoffice.org

BuildRequires:	gtk2-devel

##################################
# Sources
##################################
%define sources_dir	style-gnome-sources
Source0: %{sources_dir}.tgz
Patch0: header.patch


##################################
# Description
##################################
%description
This package contains software that allows the OpenOffice.org
office suite to work better with the GNOME desktop environment.


##################################
# Prep/Setup
##################################
%prep
%setup -q -c %{name}-%{version}

%patch0 -p1 -b .header


##################################
# Build
##################################
%build

pushd %{sources_dir}
cc `pkg-config --cflags gtk+-2.0 --libs gtk+-2.0` -o getstyle-gnome getstyle-gnome.c
cc `pkg-config --cflags gtk+-2.0 --libs gtk+-2.0` -o msgbox-gnome msgbox.c
popd


##################################
# Install
##################################
%install
rm -rf %{buildroot}

mkdir -p %{buildroot}/usr/lib/openoffice/program/
cp %{sources_dir}/getstyle-gnome %{buildroot}/usr/lib/openoffice/program/
chmod +x %{buildroot}/usr/lib/openoffice/program/getstyle-gnome

cp %{sources_dir}/msgbox-gnome %{buildroot}/usr/lib/openoffice/program/
chmod +x %{buildroot}/usr/lib/openoffice/program/msgbox-gnome


##################################
# Clean
##################################
%clean
rm -rf %{buildroot}


##################################
# Files
##################################
%files
%defattr(-,root,root)
/usr/lib/openoffice/program/


##################################
# Changelog
##################################
%changelog
* Wed Aug 18 2004 Dan Williams <dcbw@redhat.com> 1.1.0-16.9
- Make sure 64-bit binaries get installed in same place as 32-bit ones

* Tue Aug 17 2004 Dan Williams <dcbw@redhat.com> 1.1.0-16.8
- Split getstyle-gnome.c out of main RPM, since it pulls in
	gnome bits and creates issues when i386 OOo packages
	are installed on x86_64

